#! /bin/sh

if [ "$1" = "2mass" ]; then
echo "Testing 2MASS"
ds9 -2mass m31
ds9 -2mass name m31
ds9 -2mass coord 00:42:44.404 +41:16:08.78
ds9 -2mass survey j
ds9 -2mass size 600
echo "PASSED"
fi

if [ "$1" = "about" -o  -z "$1" ]; then
echo "Testing About"
ds9 -about
echo "PASSED"
fi

if [ "$1" = "bin" -o  -z "$1" ]; then
echo "Testing Bin"
ds9 -bin about 4096 4096
ds9 -bin buffersize 512
ds9 -bin cols detx dety
ds9 -bin factor 4
ds9 -bin factor 4 2
ds9 -bin depth 10
ds9 -bin filter '{pha > 5}'
ds9 -bin function sum
ds9 -bin to fit
ds9 -bin smooth yes
ds9 -bin smooth function boxcar
ds9 -bin smooth radius 3
echo "PASSED"
fi

if [ "$1" = "blink" -o  -z "$1" ]; then
echo "Testing blink"
ds9 -blink
echo "PASSED"
fi

if [ "$1" = "blue" -o  -z "$1" ]; then
echo "Testing blue"
ds9 -rgb -blue
echo "PASSED"
fi

if [ "$1" = "cmap" -o  -z "$1" ]; then
echo "Testing cmap"
ds9 -cmap Heat
ds9 -cmap file foo.sao
ds9 -cmap invert yes
ds9 -cmap value 5 .5
echo "PASSED"
fi

if [ "$1" = "contour" -o  -z "$1" ]; then
echo "Testing Contour"
ds9 -contour
ds9 -contour yes
ds9 -contour copy
ds9 -contour clear
ds9 -contour paste wcs fk4 red 2
ds9 -contour load foo.con wcs fk5 yellow 2
ds9 -contour save foo.con wcs fk5
echo "PASSED"
fi

if [ "$1" = "crosshair" -o  -z "$1" ]; then
echo "Testing Crosshair"
ds9 -crosshair 100 100 physical
ds9 -crosshair 345 58.8 wcs fk5
ds9 -crosshair 23:01:00 +58:52:51 wcs fk5
echo "PASSED"
fi

if [ "$1" = "datacube" -o  -z "$1" ]; then
echo "Testing datacube"
ds9 -datacube play
ds9 -datacube last
ds9 -datacube 3
ds9 -datacube interval 2
echo "PASSED"
fi

if [ "$1" = "dsssao" ]; then
echo "Testing DSSSAO"
ds9 -dsssao m31
ds9 -dsssao name m31
ds9 -dsssao coord 00:42:44.404 +41:16:08.78
ds9 -dsssao size 10 10
echo "PASSED"
fi

if [ "$1" = "dsseso" ]; then
echo "Testing DSSESO"
ds9 -dsseso m31
ds9 -dsseso name m31
ds9 -dsseso coord 00:42:44.404 +41:16:08.78
ds9 -dsseso survey dss2red
ds9 -dsseso size 10 10
echo "PASSED"
fi

if [ "$1" = "dssstsci" ]; then
echo "Testing DSSSTSCI"
ds9 -dssstsci m31
ds9 -dssstsci name m31
ds9 -dssstsci coord 00:42:44.404 +41:16:08.78
ds9 -dssstsci survey all
ds9 -dssstsci size 10 10
echo "PASSED"
fi

if [ "$1" = "exit" -o  -z "$1" ]; then
echo "Testing exit"
ds9
ds9 -sleep 1 -quit
echo "PASSED"
fi

if [ "$1" = "fifo" -o  -z "$1" ]; then
echo "Testing fifo"
ds9 -fifo /dev/imt1
echo "PASSED"
fi

if [ "$1" = "fifo_only" -o  -z "$1" ]; then
echo "Testing fifo_only"
ds9 -fifo_only
echo "PASSED"
fi

if [ "$1" = "first" ]; then
echo "Testing FIRST"
ds9 -first m51
ds9 -first name m51
ds9 -first coord 00:42:44.404 +41:16:08.78
ds9 -first size 60
echo "PASSED"
fi

if [ "$1" = "frame" -o  -z "$1" ]; then
echo "Testing Frame"
ds9 -frame center
ds9 -frame center 1
ds9 -frame center all
ds9 -frame clear
ds9 -frame new
ds9 -frame new rgb
ds9 -frame delete
ds9 -frame reset
ds9 -frame refresh
ds9 -frame hide
ds9 -frame show 1
ds9 -frame first
ds9 -frame next
ds9 -frame prev
ds9 -frame last
ds9 -frame frameno 4
ds9 -frame 3
echo "PASSED"
fi

if [ "$1" = "geometry" -o  -z "$1" ]; then
echo "Testing geometry"
ds9 -geometry 640x480
echo "PASSED"
fi

if [ "$1" = "grid" -o  -z "$1" ]; then
echo "Testing Grid"
ds9 -grid
ds9 -grid yes
ds9 -grid load foo.grd
ds9 -grid save foo.grd
ds9 -grid system wcs
ds9 -grid sky fk5
ds9 -grid skyformat degrees
ds9 -grid type analysis
ds9 -grid type axes interior
ds9 -grid type numerics interior
ds9 -grid view grid yes
ds9 -grid view axes yes
ds9 -grid view axes numbers yes
ds9 -grid view axes tickmarks yes
ds9 -grid view axes label yes
ds9 -grid view title yes
ds9 -grid view border yes
ds9 -grid view vertical no
echo "PASSED"
fi

if [ "$1" = "header" -o  -z "$1" ]; then
echo "Testing header"
ds9 img16.fits -header
ds9 img16.fits -header 1
echo "PASSED"
fi

if [ "$1" = "help" -o  -z "$1" ]; then
echo "Testing help"
ds9 -- -help
ds9 '-?'
echo "PASSED"
fi

if [ "$1" = "histequ" -o  -z "$1" ]; then
echo "Testing histequ"
ds9 img16.fits -histequ
echo "PASSED"
fi

if [ "$1" = "iconify" -o  -z "$1" ]; then
echo "Testing iconify"
ds9 -iconify yes
echo "PASSED"
fi

if [ "$1" = "invert" -o  -z "$1" ]; then
echo "Testing invert"
ds9 -invert
echo "PASSED"
fi

if [ "$1" = "linear" -o  -z "$1" ]; then
echo "Testing linear"
ds9 img16.fits -linear
echo "PASSED"
fi

if [ "$1" = "lock" -o  -z "$1" ]; then
echo "Testing lock"
ds9 -lock crosshairs wcs
echo "PASSED"
fi

if [ "$1" = "lower" -o  -z "$1" ]; then
echo "Testing lower"
ds9 -lower
echo "PASSED"
fi

if [ "$1" = "match" -o  -z "$1" ]; then
echo "Testing match"
ds9 -match frames wcs
ds9 -match colorbars
ds9 -match scales
echo "PASSED"
fi

if [ "$1" = "minmax" -o  -z "$1" ]; then
echo "Testing MinMax"
ds9 -minmax
ds9 -minmax scan
ds9 -minmax mode sample
ds9 -minmax interval 10
echo "PASSED"
fi

if [ "$1" = "mode" -o  -z "$1" ]; then
echo "Testing Mode"
ds9 -mode crosshair
echo "PASSED"
fi

if [ "$1" = "nameserver" ]; then
echo "Testing nameserver"
ds9 -nameserver m31
ds9 -nameserver name m31
ds9 -nameserver server ned-sao
ds9 -nameserver skyformat sexagesimal
echo "PASSED"
fi

if [ "$1" = "orient" -o  -z "$1" ]; then
echo "Testing orient"
ds9 img16.fits -orient xy
echo "PASSED"
fi

if [ "$1" = "pagesetup" -o  -z "$1" ]; then
echo "Testing pagesetup"
ds9 -pagesetup orientation portrait
ds9 -pagesetup pagescale scaled
ds9 -pagesetup pagesize poster
echo "PASSED"
fi

if [ "$1" = "pan" -o  -z "$1" ]; then
echo "Testing pan"
ds9 img16.fits -pan 200 200 image
ds9 img16.fits -pan to 400 400 physical
ds9 img16.fits -pan to 13:29:55 47:11:50 wcs fk5
echo "PASSED"
fi

if [ "$1" = "pixeltable" -o  -z "$1" ]; then
echo "Testing pixeltable"
ds9 img16.fits -pixeltable yes
echo "PASSED"
fi

if [ "$1" = "port" -o  -z "$1" ]; then
echo "Testing port"
ds9 -port 5137
echo "PASSED"
fi

if [ "$1" = "port_only" -o  -z "$1" ]; then
echo "Testing port_only"
ds9 -port_only
echo "PASSED"
fi

if [ "$1" = "prefs" -o  -z "$1" ]; then
echo "Testing prefs"
ds9 -prefs mosaicfast no
ds9 -prefs bgcolor black
ds9 -prefs nancolor red
echo "PASSED"
fi

if [ "$1" = "preserve" -o  -z "$1" ]; then
echo "Testing Preserve"
ds9 -preserve scale yes
ds9 -preserve pan yes
ds9 -preserve regions yes
echo "PASSED"
fi

if [ "$1" = "print" -o  -z "$1" ]; then
echo "Testing print"
ds9 -print destination file
ds9 -print command 'gv -'
ds9 -print filename foo.ps
ds9 -print palette cmyk
ds9 -print level 2
ds9 -print resolution 75
echo "PASSED"
fi

if [ "$1" = "private" -o  -z "$1" ]; then
echo "Testing private"
ds9 -visual peusdocolor -private
echo "PASSED"
fi

if [ "$1" = "regions" -o  -z "$1" ]; then
echo "Testing regions"
ds9 -regions foo.reg
ds9 -regions load foo.reg
ds9 -regions save foo.reg
ds9 -regions move back
ds9 -regions move front
ds9 -regions select all
ds9 -regions select none
ds9 -regions select group foo
ds9 -regions delete all
ds9 -regions delete select
ds9 -regions format ds9
ds9 -regions system wcs
ds9 -regions sky fk5
ds9 -regions skyformat degrees
ds9 -regions delim nl
ds9 -regions strip yes
ds9 -regions wcs yes
ds9 -regions shape ellipse
ds9 -regions color red
ds9 -regions width 3
ds9 -regions command {circle 100 100 20}

ds9 -regions group foo color red
ds9 -regions group foo copy
ds9 -regions group foo delete
ds9 -regions group foo cut
ds9 -regions group foo font {times 14 bold}
ds9 -regions group foo move 100 100
ds9 -regions group foo movefront
ds9 -regions group foo moveback
ds9 -regions group foo property delete no
ds9 -regions group foo select
echo "PASSED"
fi

if [ "$1" = "red" -o  -z "$1" ]; then
echo "Testing red"
ds9 -rgb -red
echo "PASSED"
fi

if [ "$1" = "rgb" -o  -z "$1" ]; then
echo "Testing rgb"
ds9 -rgb
ds9 -rgb red
ds9 -rgb channel red
ds9 -rgb view blue no
ds9 -rgb system wcs
ds9 -rgb lock scale yes
ds9 -rgb lock bin yes
ds9 -rgb lock colorbar yes
echo "PASSED"
fi

if [ "$1" = "rotate" -o  -z "$1" ]; then
echo "Testing rotate"
ds9 img16.fits -rotate 45
ds9 img16.fits -rotate to 45
echo "PASSED"
fi

if [ "$1" = "saveimage" -o  -z "$1" ]; then
echo "Testing saveimage"
ds9 img16.fits -saveimage fits ds9.fits
ds9 img16.fits -saveimage jpeg ds9.jpg 
ds9 img16.fits -saveimage tiff ds9.tif 
ds9 img16.fits -saveimage png  ds9.png 
ds9 img16.fits -saveimage ppm  ds9.ppm 
ds9 img16.fits -saveimage mpeg ds9.mpg 
echo "PASSED"
fi

if [ "$1" = "savefits" -o  -z "$1" ]; then
echo "Testing savefits"
ds9 table.fits -savefits ds9.fits
echo "PASSED"
fi

if [ "$1" = "savempeg" -o  -z "$1" ]; then
echo "Testing savempeg"
ds9 img16.fits table.fits -savempeg ds9.mpg
echo "PASSED"
fi

if [ "$1" = "scale" -o  -z "$1" ]; then
echo "Testing Scale"
ds9 -scale datasec yes
ds9 -scale histequ
ds9 -scale limits 1 100
ds9 -scale mode zscale
ds9 -scale mode 99.5
ds9 -scale scope local
echo "PASSED"
fi

if [ "$1" = "single" -o  -z "$1" ]; then
echo "Testing single"
ds9 img16.fits -single
echo "PASSED"
fi

if [ "$1" = "source" -o  -z "$1" ]; then
echo "Testing Source"
echo "PASSED"
fi

if [ "$1" = "tcl" -o  -z "$1" ]; then
echo "Testing TCL"
echo "PASSED"
fi

if [ "$1" = "update" -o  -z "$1" ]; then
echo "Testing Update"
echo "PASSED"
fi

if [ "$1" = "version" -o  -z "$1" ]; then
echo "Testing Version"
echo "PASSED"
fi

if [ "$1" = "view" -o  -z "$1" ]; then
echo "Testing View"
echo "PASSED"
fi

if [ "$1" = "wcs" -o  -z "$1" ]; then
echo "Testing WCS"
echo "PASSED"
fi

if [ "$1" = "zoom" -o  -z "$1" ]; then
echo "Testing Zoom"
echo "PASSED"
fi

echo "DONE"
